<template>
  <div>
    <div v-for="field in fields" v-bind:key="field.id">
      <div class="inline-content field-name">
        <svg-icon icon-class="nama-lahan" />
      </div>
      <span class="--lime-green --bold">{{field.field_name}}</span>
      <el-row :gutter="40">
        <el-col :span="4">
          <h5>Luas Lahan</h5>
          <p>{{ field.width * field.length }} m<sup>2</sup></p>
        </el-col>
        <el-col :span="17">
          <h5>Alamat Lahan</h5>
          <p>{{ field.geo_tag }}</p>
        </el-col>
      </el-row>
      <field-maps v-bind:latlong_fields="field.latlong_fields"/>
      <div v-for="commodity in field.commodities" v-bind:key="commodity.id">
        <div class="commodity__header">
          <el-row :gutter="10">
            <el-col :span="8">
              <div class="icons-container inline-content">
                <svg-icon icon-class="shape" />
              </div>
              <div class="inline-content">
                <h5>{{ commodity.commodity_name }}</h5>
                <p>{{ commodity.variety_name }}</p>
              </div>
            </el-col>
            <el-col :span="8">
              <h5>Waktu Mulai Tanam</h5>
              <p>{{ toDate(commodity.planting_time) }}</p>
              <h5>Perkiraan Waktu Panen</h5>
              <p>{{ toDate(commodity.harvest_time) }}</p>
            </el-col>
            <el-col :span="8">
              <h5>Perkiraan Volume Panen</h5>
              <p>{{ commodity.harvest_volume | toNumber }} kg</p>
              <h5>Perkiraan Harga Jual</h5>
              <p>{{ commodity.selling_price | toCurrency }}</p>
            </el-col>
          </el-row>
          <el-row :gutter="10" class="commodity__box" v-if="commodity.real_harvest_time">
            <el-col :span="8">
              <h5>Volume Panen</h5>
              <p>{{ commodity.real_harvest_volume | toNumber }}</p>
            </el-col>
            <el-col :span="8">
              <h5>Waktu Panen</h5>
              <p>{{ toDate(commodity.real_harvest_time) }}</p>
            </el-col>
            <el-col :span="8">
              <h5>Total Biaya</h5>
              <p>{{ commodity.analysis_calculation | toCurrency }}</p>
            </el-col>
          </el-row>
          <detail-field-activities v-bind:activities="commodity.activities" v-bind:status="commodity.real_harvest_time || false"/>
        </div>
      </div>
      <hr/>
    </div>
  </div>
</template>

<script>
import moment from 'moment'
import DetailFieldActivities from './DetailFieldActivities'
import FieldMaps from './FieldMaps'
export default {
  name: 'DetailField',
  components: { DetailFieldActivities, FieldMaps },
  data() {
    return {
      sticky: false,
      width: '100%'
    }
  },
  computed: {
    fields: {
      get: function() {
        const arr = this.$store.state.farmer.detail.fields;
        // const new_arr = [...arr, ...arr, ...arr, ...arr, ...arr, ...arr]
        return arr;
      }
    }
  },
  methods: {
    toDate(value) {
      return moment(String(value)).format('DD MMMM YYYY')
    }
  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
  @import '@/styles/variables.scss';
  @import '@/styles/mixin.scss';
  h4 {
    @include ritx-bold;
    font-size: 16px;
    text-align: right;
    color: $ritx-dark-green;
  }

  h5 {
    color: $ritx-dark-green;
    @include ritx-bold;
  }

  .commodity {
    &__header {
      margin: 0 0 20px 0!important;
      background-color: $ritx-light-green-2;
      border-radius: 4px;
      padding: 15px 15px 1px 15px;
    }
    &__box {
      box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.18);
      background-color: #ffffff;
      border-radius: 4px;
      margin: 0 -13px 2px -13px!important;
      padding: 10px 10px 0px 10px;
    }
  }

  hr {
    background: $ritx-light-green;
    height: 1px;
    margin-bottom: 20px;
  }
  .inline-content {
    display: inline-block;
  }
  .icons-container {
    background-color: $ritx-light-green;
    padding: 6px 6px 4px 6px;
    display: inline-block;
    border-radius: 6px;
    margin-right: 10px;

    .svg-icon {
      width: 25px;
      height: 25px;
      color: white;
    }
  }

  .field-name {
    margin-bottom: 10px;
  }
  </style>
